summaryrefslogtreecommitdiff
path: root/vcs.d
diff options
context:
space:
mode:
Diffstat (limited to 'vcs.d')
-rwxr-xr-xvcs.d/50vcs-cmd11
1 files changed, 11 insertions, 0 deletions
diff --git a/vcs.d/50vcs-cmd b/vcs.d/50vcs-cmd
new file mode 100755
index 0000000..f515abb
--- /dev/null
+++ b/vcs.d/50vcs-cmd
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+# check whether we can locate the vcs binary
+if [ -n "$VCS" ] && which "$VCS" > /dev/null; then
+ # pass commands to the VCS application
+ $VCS "$@"
+else
+ echo "error: VCS ($VCS) not set or not in PATH" >&2
+ exit 1
+fi